# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KProgressDialog Class Reference

KProgressDialog provides a dialog with a text label, a progress bar and an optional cancel button with a KDE look 'n feel. A dialog with a progress bar. More...

`#include <kprogress.h>`

Inheritance diagram for KProgressDialog:

[legend]
Collaboration diagram for KProgressDialog:

[legend]
List of all members.

## Public Member Functions

| KProgressDialog (QWidget *parent=0, const char *name=0, const QString &caption=QString::null, const QString &text=QString::null, bool modal=false)
| ~KProgressDialog ()
KProgress * | progressBar ()
const KProgress * | progressBar () const
void | setLabel (const QString &text)
QString | labelText () KDE_DEPRECATED
QString | labelText () const
void | setAllowCancel (bool allowCancel)
bool | allowCancel () KDE_DEPRECATED
bool | allowCancel () const
void | showCancelButton (bool show)
void | setAutoClose (bool close)
bool | autoClose ()
bool | autoClose () const
void | setAutoReset (bool autoReset)
bool | autoReset ()
bool | autoReset () const
bool | wasCancelled ()
bool | wasCancelled () const
void | setButtonText (const QString &)
QString | buttonText () KDE_DEPRECATED
QString | buttonText () const
void | setMinimumDuration (int ms)
int | minimumDuration () KDE_DEPRECATED
int | minimumDuration () const

## Protected Slots

void | slotAutoShow ()
void | slotAutoActions (int percentage)
void | slotCancel ()

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

KProgressDialog provides a dialog with a text label, a progress bar and an optional cancel button with a KDE look 'n feel. A dialog with a progress bar.

Since knowing how long it can take to complete an action and it is undesirable to show a dialog for a split second before hiding it, there are a few ways to control the timing behavior of KProgressDialog. There is a time out that can be set before showing the dialog as well as an option to autohide or keep displaying the dialog once complete.

All the functionality of KProgress is available through direct access to the progress bar widget via progressBar();

Author:
  Aaron J. Seigo

Definition at line 187 of file kprogress.h.

## Constructor & Destructor Documentation

KProgressDialog::KProgressDialog | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | const QString & | caption = `QString::null`,
|  | const QString & | text = `QString::null`,
|  | bool | modal = `false`
| ) |

Constructs a KProgressDialog.

Parameters:

  | parent | Parent of the widget
  | name | Widget name
  | caption | Text to display in window title bar
  | text | Text to display in the dialog
  | modal | Set to true to make the dialog modal

Definition at line 169 of file kprogress.cpp.

References KDialogBase::actionButton(), KDialogBase::plainPage(), KDialogBase::showButton(), QTimer::start(), and QPushButton::text().

KProgressDialog::~KProgressDialog | ( |  | ) |

| Destructor. Definition at line 205 of file kprogress.cpp.

## Member Function Documentation

KProgress * KProgressDialog::progressBar | ( |  | ) |

| Returns the KProgress used in this dialog. To set the number of steps or other progress bar related settings, access the KProgress object directly via this method. Definition at line 279 of file kprogress.cpp.

const KProgress * KProgressDialog::progressBar | ( |  | ) | const

| Returns the KProgress used in this dialog. To set the number of steps or other progress bar related settings, access the KProgress object directly via this method. Definition at line 284 of file kprogress.cpp.

void KProgressDialog::setLabel | ( | const QString & | text | ) |

Sets the text in the dialog.

Parameters:

  | text | the text to display

Definition at line 289 of file kprogress.cpp.

References QLabel::setText().

QString KProgressDialog::labelText | ( |  | ) |

Returns the current dialog text.

Deprecated:

Definition at line 295 of file kprogress.cpp.

References QLabel::text().

QString KProgressDialog::labelText | ( |  | ) | const

| Returns the current dialog text. Definition at line 300 of file kprogress.cpp. References QLabel::text().

void KProgressDialog::setAllowCancel | ( | bool | allowCancel | ) |

Sets whether or not the user can cancel the process.

If the dialog is cancellable, the Cancel button will be shown and the user can close the window using the window decorations. If the process is not (or should not be) interuptable, set the dialog to be modal and not cancellable.

Parameters:

  | allowCancel | Set to true to make the dialog non-closable

Definition at line 262 of file kprogress.cpp.

References showCancelButton().

bool KProgressDialog::allowCancel | ( |  | ) |

Returns true if the dialog can be canceled, false otherwise.

Deprecated:

Definition at line 269 of file kprogress.cpp.

bool KProgressDialog::allowCancel | ( |  | ) | const

| Returns true if the dialog can be canceled, false otherwise. Definition at line 274 of file kprogress.cpp.

void KProgressDialog::showCancelButton | ( | bool | show | ) |

Sets whether the cancel button is visible.

setAllowCancel(false) implies showCancelButton(false)

Parameters:

  | show | Whether or not the cancel button should be shown

Definition at line 305 of file kprogress.cpp.

References KDialogBase::showButtonCancel().

Referenced by setAllowCancel().

void KProgressDialog::setAutoClose | ( | bool | close | ) |

| Sets whether the dialog should close automagically when all the steps in the KProgress have been completed. Definition at line 321 of file kprogress.cpp.

bool KProgressDialog::autoClose | ( |  | ) |

| Returns true if the dialog will close upon completion, or false otherwise. Definition at line 311 of file kprogress.cpp.

bool KProgressDialog::autoClose | ( |  | ) | const

| Returns true if the dialog will close upon completion, or false otherwise. Definition at line 316 of file kprogress.cpp.

void KProgressDialog::setAutoReset | ( | bool | autoReset | ) |

| Sets whether the dialog should reset the KProgress dialog back to 0 steps compelete when all steps have been completed. This is useful for KProgressDialogs that will be reused. Definition at line 337 of file kprogress.cpp.

bool KProgressDialog::autoReset | ( |  | ) |

| Returns true if the KProgress widget will be reset upon completion, or false otherwise. Definition at line 327 of file kprogress.cpp.

bool KProgressDialog::autoReset | ( |  | ) | const

| Returns true if the KProgress widget will be reset upon completion, or false otherwise. Definition at line 332 of file kprogress.cpp.

bool KProgressDialog::wasCancelled | ( |  | ) |

| Returns true if the dialog was closed or canceled before completion. If the dialog is not cancellable it will always return false. Definition at line 232 of file kprogress.cpp.

bool KProgressDialog::wasCancelled | ( |  | ) | const

| Returns true if the dialog was closed or canceled before completion. If the dialog is not cancellable it will always return false. Definition at line 237 of file kprogress.cpp.

void KProgressDialog::setButtonText | ( | const QString & |  | ) |

| Sets the text to appear on the cancel button. Definition at line 342 of file kprogress.cpp. References KDialogBase::setButtonCancel().

QString KProgressDialog::buttonText | ( |  | ) |

Returns the text on the cancel button.

Deprecated:

Definition at line 349 of file kprogress.cpp.

QString KProgressDialog::buttonText | ( |  | ) | const

| Returns the text on the cancel button. Definition at line 354 of file kprogress.cpp.

void KProgressDialog::setMinimumDuration | ( | int | ms | ) |

| Set the minimum number of milliseconds to wait before actually showing the dialog. Definition at line 242 of file kprogress.cpp. References QTimer::start(), and QTimer::stop().

int KProgressDialog::minimumDuration | ( |  | ) |

Returns the wait duration in milliseconds.

Deprecated:

Definition at line 252 of file kprogress.cpp.

int KProgressDialog::minimumDuration | ( |  | ) | const

| Returns the wait duration in milliseconds. Definition at line 257 of file kprogress.cpp.

void KProgressDialog::slotCancel | ( |  | ) | `[protected, virtual, slot]`

| Activated when the Cancel button has been clicked. The QDialog::reject() is activated in regular mode and QDialog::done( Cancel ) when in message box mode. Reimplemented from KDialogBase. Definition at line 222 of file kprogress.cpp. References KDialogBase::slotCancel().

The documentation for this class was generated from the following files:

- kprogress.h
- kprogress.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:56 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003